diff --git a/fc-solve/source/fcs_enums.h b/fc-solve/source/fcs_enums.h
index edb9f1354..3eeda42cb 100644
--- a/fc-solve/source/fcs_enums.h
+++ b/fc-solve/source/fcs_enums.h
@@ -12,60 +12,63 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-enum
-{
-    FCS_ES_FILLED_BY_ANY_CARD,
-    FCS_ES_FILLED_BY_KINGS_ONLY,
-    FCS_ES_FILLED_BY_NONE
-};
+    enum
+    {
+        FCS_ES_FILLED_BY_ANY_CARD,
+        FCS_ES_FILLED_BY_KINGS_ONLY,
+        FCS_ES_FILLED_BY_NONE
+    };
 
-enum
-{
-    FCS_SEQ_BUILT_BY_ALTERNATE_COLOR,
-    FCS_SEQ_BUILT_BY_SUIT,
-    FCS_SEQ_BUILT_BY_RANK
-};
+    enum
+    {
+        FCS_SEQ_BUILT_BY_ALTERNATE_COLOR,
+        FCS_SEQ_BUILT_BY_SUIT,
+        FCS_SEQ_BUILT_BY_RANK
+    };
 
-enum
-{
-    FCS_TALON_NONE,
-    FCS_TALON_GYPSY,
-    FCS_TALON_KLONDIKE
-};
+    enum
+    {
+        FCS_TALON_NONE,
+        FCS_TALON_GYPSY,
+        FCS_TALON_KLONDIKE
+    };
 
-typedef enum {
-    FCS_STATE_WAS_SOLVED,
-    FCS_STATE_IS_NOT_SOLVEABLE,
-    FCS_STATE_ALREADY_EXISTS,
-    FCS_STATE_EXCEEDS_MAX_NUM_TIMES,
-    FCS_STATE_BEGIN_SUSPEND_PROCESS,
-    FCS_STATE_SUSPEND_PROCESS,
-    FCS_STATE_EXCEEDS_MAX_DEPTH,
-    FCS_STATE_ORIGINAL_STATE_IS_NOT_SOLVEABLE,
-    FCS_STATE_INVALID_STATE,
-    FCS_STATE_NOT_BEGAN_YET,
-    FCS_STATE_DOES_NOT_EXIST,
-    FCS_STATE_OPTIMIZED,
-    FCS_STATE_FLARES_PLAN_ERROR
-} fc_solve_solve_process_ret_t;
+    typedef enum
+    {
+        FCS_STATE_WAS_SOLVED,
+        FCS_STATE_IS_NOT_SOLVEABLE,
+        FCS_STATE_ALREADY_EXISTS,
+        FCS_STATE_EXCEEDS_MAX_NUM_TIMES,
+        FCS_STATE_BEGIN_SUSPEND_PROCESS,
+        FCS_STATE_SUSPEND_PROCESS,
+        FCS_STATE_EXCEEDS_MAX_DEPTH,
+        FCS_STATE_ORIGINAL_STATE_IS_NOT_SOLVEABLE,
+        FCS_STATE_INVALID_STATE,
+        FCS_STATE_NOT_BEGAN_YET,
+        FCS_STATE_DOES_NOT_EXIST,
+        FCS_STATE_OPTIMIZED,
+        FCS_STATE_FLARES_PLAN_ERROR
+    } fc_solve_solve_process_ret_t;
 
-typedef enum {
-    FCS_PRESET_CODE_OK,
-    FCS_PRESET_CODE_NOT_FOUND,
-    FCS_PRESET_CODE_FREECELLS_EXCEED_MAX,
-    FCS_PRESET_CODE_STACKS_EXCEED_MAX,
-    FCS_PRESET_CODE_DECKS_EXCEED_MAX
-} fc_solve_preset_ret_code_t;
+    typedef enum
+    {
+        FCS_PRESET_CODE_OK,
+        FCS_PRESET_CODE_NOT_FOUND,
+        FCS_PRESET_CODE_FREECELLS_EXCEED_MAX,
+        FCS_PRESET_CODE_STACKS_EXCEED_MAX,
+        FCS_PRESET_CODE_DECKS_EXCEED_MAX
+    } fc_solve_preset_ret_code_t;
 
-enum
-{
-    FC_SOLVE__STANDARD_NOTATION_NO = 0,
-    FC_SOLVE__STANDARD_NOTATION_REGULAR = 1,
-    FC_SOLVE__STANDARD_NOTATION_EXTENDED = 2
-};
+    enum
+    {
+        FC_SOLVE__STANDARD_NOTATION_NO = 0,
+        FC_SOLVE__STANDARD_NOTATION_REGULAR = 1,
+        FC_SOLVE__STANDARD_NOTATION_EXTENDED = 2
+    };
 
 #define FCS_METHOD_HARD_DFS 0
 #define FCS_METHOD_SOFT_DFS 1
diff --git a/fc-solve/source/fcs_hash.h b/fc-solve/source/fcs_hash.h
index 03087a7ec..74c5e8376 100644
--- a/fc-solve/source/fcs_hash.h
+++ b/fc-solve/source/fcs_hash.h
@@ -14,72 +14,73 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "meta_alloc.h"
 #include "rinutils.h"
 
 #ifdef FCS_INLINED_HASH_COMPARISON
-enum FCS_INLINED_HASH_DATA_TYPE
-{
-    FCS_INLINED_HASH__COLUMNS,
-    FCS_INLINED_HASH__STATES,
-};
+    enum FCS_INLINED_HASH_DATA_TYPE
+    {
+        FCS_INLINED_HASH__COLUMNS,
+        FCS_INLINED_HASH__STATES,
+    };
 #endif
 
-typedef int fc_solve_hash_value_t;
+    typedef int fc_solve_hash_value_t;
 
-struct fc_solve_hash_symlink_item_struct
-{
-    /* A pointer to the data structure that is to be collected */
-    void *key;
-    /* We also store the hash value corresponding to this key for faster
-       comparisons */
-    fc_solve_hash_value_t hash_value;
+    struct fc_solve_hash_symlink_item_struct
+    {
+        /* A pointer to the data structure that is to be collected */
+        void *key;
+        /* We also store the hash value corresponding to this key for faster
+           comparisons */
+        fc_solve_hash_value_t hash_value;
 #ifdef FCS_ENABLE_SECONDARY_HASH_VALUE
-    /*
-     * We also store a secondary hash value, which is not used for indexing,
-     * but is used to speed up comparison.
-     * */
-    fc_solve_hash_value_t secondary_hash_value;
+        /*
+         * We also store a secondary hash value, which is not used for indexing,
+         * but is used to speed up comparison.
+         * */
+        fc_solve_hash_value_t secondary_hash_value;
 #endif
-    /* The next item in the list */
-    struct fc_solve_hash_symlink_item_struct *next;
-};
+        /* The next item in the list */
+        struct fc_solve_hash_symlink_item_struct *next;
+    };
 
-typedef struct fc_solve_hash_symlink_item_struct fcs_hash_item_t;
+    typedef struct fc_solve_hash_symlink_item_struct fcs_hash_item_t;
 
-typedef struct
-{
-    fcs_hash_item_t *first_item;
-} fc_solve_hash_symlink_t;
+    typedef struct
+    {
+        fcs_hash_item_t *first_item;
+    } fc_solve_hash_symlink_t;
 
-struct fc_solve_instance_struct;
+    struct fc_solve_instance_struct;
 
 #ifndef FCS_INLINED_HASH_COMPARISON
 #ifdef FCS_WITH_CONTEXT_VARIABLE
-typedef int (*fcs_hash_compare_function_t)(
-    const void *const, const void *const, void *context);
+    typedef int (*fcs_hash_compare_function_t)(
+        const void *const, const void *const, void *context);
 #else
-typedef int (*fcs_hash_compare_function_t)(
-    const void *const, const void *const);
+    typedef int (*fcs_hash_compare_function_t)(
+        const void *const, const void *const);
 #endif
 #endif
 
-typedef struct
-{
-    /* The vector of the hash table itself */
-    fc_solve_hash_symlink_t *entries;
+    typedef struct
+    {
+        /* The vector of the hash table itself */
+        fc_solve_hash_symlink_t *entries;
 #ifndef FCS_WITHOUT_TRIM_MAX_STORED_STATES
-    /* The list of vacant items as freed by the garbage collector. Use
-     * if before allocating more. */
-    fcs_hash_item_t *list_of_vacant_items;
+        /* The list of vacant items as freed by the garbage collector. Use
+         * if before allocating more. */
+        fcs_hash_item_t *list_of_vacant_items;
 #endif
 /* A comparison function that can be used for comparing two keys
    in the collection */
 #ifdef FCS_INLINED_HASH_COMPARISON
-    enum FCS_INLINED_HASH_DATA_TYPE hash_type;
+        enum FCS_INLINED_HASH_DATA_TYPE hash_type;
 #else
     fcs_hash_compare_function_t compare_function;
 #ifdef FCS_WITH_CONTEXT_VARIABLE
@@ -89,32 +90,33 @@ typedef struct
 #endif
 #endif
 
-    /* The size of the hash table */
-    int size;
+        /* The size of the hash table */
+        int size;
 
-    /* A bit mask that extract the lowest bits out of the hash value */
-    int size_bitmask;
-    /* The number of elements stored inside the hash */
-    fcs_int_limit_t num_elems;
+        /* A bit mask that extract the lowest bits out of the hash value */
+        int size_bitmask;
+        /* The number of elements stored inside the hash */
+        fcs_int_limit_t num_elems;
 
-    fcs_int_limit_t max_num_elems_before_resize;
+        fcs_int_limit_t max_num_elems_before_resize;
 
-    fcs_compact_allocator_t allocator;
+        fcs_compact_allocator_t allocator;
 #ifdef FCS_RCS_STATES
-    struct fc_solve_instance_struct *instance;
+        struct fc_solve_instance_struct *instance;
 #endif
-} fc_solve_hash_t;
+    } fc_solve_hash_t;
 
-static inline void fcs_hash_set_max_num_elems(
-    fc_solve_hash_t *const hash, const fcs_int_limit_t new_size)
-{
-    hash->max_num_elems_before_resize = (new_size << 1);
-}
+    static inline void fcs_hash_set_max_num_elems(
+        fc_solve_hash_t *const hash, const fcs_int_limit_t new_size)
+    {
+        hash->max_num_elems_before_resize = (new_size << 1);
+    }
 
-static inline void fc_solve_hash_init(
-    fcs_meta_compact_allocator_t *const meta_alloc, fc_solve_hash_t *const hash,
+    static inline void fc_solve_hash_init(
+        fcs_meta_compact_allocator_t *const meta_alloc,
+        fc_solve_hash_t *const hash,
 #ifdef FCS_INLINED_HASH_COMPARISON
-    const enum FCS_INLINED_HASH_DATA_TYPE hash_type
+        const enum FCS_INLINED_HASH_DATA_TYPE hash_type
 #else
     fcs_hash_compare_function_t compare_function
 #ifdef FCS_WITH_CONTEXT_VARIABLE
@@ -123,28 +125,28 @@ static inline void fc_solve_hash_init(
 #else
 #endif
 #endif
-)
-{
-    const typeof(hash->size) initial_hash_size = 2048;
+    )
+    {
+        const typeof(hash->size) initial_hash_size = 2048;
 
-    hash->size = initial_hash_size;
-    hash->size_bitmask = initial_hash_size - 1;
-    fcs_hash_set_max_num_elems(hash, initial_hash_size);
+        hash->size = initial_hash_size;
+        hash->size_bitmask = initial_hash_size - 1;
+        fcs_hash_set_max_num_elems(hash, initial_hash_size);
 
-    hash->num_elems = 0;
+        hash->num_elems = 0;
 
-    /* Allocate a table of size entries */
-    /* Initialize all the cells of the hash table to NULL, which indicate
-       that the end of each chain is right at the start. */
-    hash->entries = (fc_solve_hash_symlink_t *)calloc(
-        initial_hash_size, sizeof(hash->entries[0]));
+        /* Allocate a table of size entries */
+        /* Initialize all the cells of the hash table to NULL, which indicate
+           that the end of each chain is right at the start. */
+        hash->entries = (fc_solve_hash_symlink_t *)calloc(
+            initial_hash_size, sizeof(hash->entries[0]));
 
 #ifndef FCS_WITHOUT_TRIM_MAX_STORED_STATES
-    hash->list_of_vacant_items = NULL;
+        hash->list_of_vacant_items = NULL;
 #endif
 
 #ifdef FCS_INLINED_HASH_COMPARISON
-    hash->hash_type = hash_type;
+        hash->hash_type = hash_type;
 #else
     hash->compare_function = compare_function;
 #ifdef FCS_WITH_CONTEXT_VARIABLE
@@ -152,46 +154,46 @@ static inline void fc_solve_hash_init(
 #endif
 #endif
 
-    fc_solve_compact_allocator_init(&(hash->allocator), meta_alloc);
-}
+        fc_solve_compact_allocator_init(&(hash->allocator), meta_alloc);
+    }
 
-static inline void fc_solve_hash_free(fc_solve_hash_t *const hash)
-{
-    fc_solve_compact_allocator_finish(&(hash->allocator));
-    free(hash->entries);
-    hash->entries = NULL;
-}
+    static inline void fc_solve_hash_free(fc_solve_hash_t *const hash)
+    {
+        fc_solve_compact_allocator_finish(&(hash->allocator));
+        free(hash->entries);
+        hash->entries = NULL;
+    }
 
 #ifndef FCS_WITHOUT_TRIM_MAX_STORED_STATES
-static inline void fc_solve_hash_foreach(fc_solve_hash_t *const hash,
-    fcs_bool_t (*should_delete_ptr)(void *const key, void *const context),
-    void *const context)
-{
-    const_SLOT(size, hash);
-    var_AUTO(entries, hash->entries);
-    for (int i = 0; i < size; i++)
+    static inline void fc_solve_hash_foreach(fc_solve_hash_t *const hash,
+        fcs_bool_t (*should_delete_ptr)(void *const key, void *const context),
+        void *const context)
     {
-        fcs_hash_item_t **item = &(entries[i].first_item);
-        while ((*item) != NULL)
+        const_SLOT(size, hash);
+        var_AUTO(entries, hash->entries);
+        for (int i = 0; i < size; i++)
         {
-            if (should_delete_ptr((*item)->key, context))
+            fcs_hash_item_t **item = &(entries[i].first_item);
+            while ((*item) != NULL)
             {
-                fcs_hash_item_t *const next_item = (*item)->next;
-                /* Garbage collect (*item). */
-                (*item)->next = hash->list_of_vacant_items;
-                hash->list_of_vacant_items = (*item);
-                /* Skip the item in the chain. */
-                (*item) = next_item;
-
-                hash->num_elems--;
-            }
-            else
-            {
-                item = &((*item)->next);
+                if (should_delete_ptr((*item)->key, context))
+                {
+                    fcs_hash_item_t *const next_item = (*item)->next;
+                    /* Garbage collect (*item). */
+                    (*item)->next = hash->list_of_vacant_items;
+                    hash->list_of_vacant_items = (*item);
+                    /* Skip the item in the chain. */
+                    (*item) = next_item;
+
+                    hash->num_elems--;
+                }
+                else
+                {
+                    item = &((*item)->next);
+                }
             }
         }
     }
-}
 #endif
 
 #ifdef __cplusplus
diff --git a/fc-solve/source/fcs_move.h b/fc-solve/source/fcs_move.h
index d53a0085a..6b4087037 100644
--- a/fc-solve/source/fcs_move.h
+++ b/fc-solve/source/fcs_move.h
@@ -16,32 +16,33 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-enum
-{
-    FCS_MOVE_TYPE_STACK_TO_STACK,
-    FCS_MOVE_TYPE_STACK_TO_FREECELL,
-    FCS_MOVE_TYPE_FREECELL_TO_STACK,
-    FCS_MOVE_TYPE_FREECELL_TO_FREECELL,
-    FCS_MOVE_TYPE_STACK_TO_FOUNDATION,
-    FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION,
-    FCS_MOVE_TYPE_FLIP_CARD,
-    FCS_MOVE_TYPE_DEAL_GYPSY_TALON,
-    FCS_MOVE_TYPE_KLONDIKE_TALON_TO_STACK,
-    FCS_MOVE_TYPE_KLONDIKE_FLIP_TALON,
-    FCS_MOVE_TYPE_KLONDIKE_REDEAL_TALON,
-    FCS_MOVE_TYPE_SEQ_TO_FOUNDATION,
-    FCS_MOVE_TYPE_CANONIZE,
-    FCS_MOVE_TYPE_SEPARATOR,
-    FCS_MOVE_TYPE_NULL
-};
+    enum
+    {
+        FCS_MOVE_TYPE_STACK_TO_STACK,
+        FCS_MOVE_TYPE_STACK_TO_FREECELL,
+        FCS_MOVE_TYPE_FREECELL_TO_STACK,
+        FCS_MOVE_TYPE_FREECELL_TO_FREECELL,
+        FCS_MOVE_TYPE_STACK_TO_FOUNDATION,
+        FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION,
+        FCS_MOVE_TYPE_FLIP_CARD,
+        FCS_MOVE_TYPE_DEAL_GYPSY_TALON,
+        FCS_MOVE_TYPE_KLONDIKE_TALON_TO_STACK,
+        FCS_MOVE_TYPE_KLONDIKE_FLIP_TALON,
+        FCS_MOVE_TYPE_KLONDIKE_REDEAL_TALON,
+        FCS_MOVE_TYPE_SEQ_TO_FOUNDATION,
+        FCS_MOVE_TYPE_CANONIZE,
+        FCS_MOVE_TYPE_SEPARATOR,
+        FCS_MOVE_TYPE_NULL
+    };
 
-typedef struct
-{
-    unsigned char c[4];
-} fcs_move_t;
+    typedef struct
+    {
+        unsigned char c[4];
+    } fcs_move_t;
 
 #define FCS_MOVE_TYPE 0
 #define FCS_MOVE_SRC 1
@@ -75,11 +76,11 @@ typedef struct
 #define fcs_move_get_num_cards_in_seq(move)                                    \
     ((move).c[FCS_MOVE_NUM_CARDS_IN_SEQ])
 
-typedef struct
-{
-    int num_moves;
-    fcs_move_t *moves;
-} fcs_moves_sequence_t;
+    typedef struct
+    {
+        int num_moves;
+        fcs_move_t *moves;
+    } fcs_moves_sequence_t;
 
 #ifdef __cplusplus
 }
